GET /institutions/{institution_id}/nodes/

osf.io

Summary: List all affiliated nodes
Operation ID: institutions_node_list
Auth: unknown
Description

A paginated list of all nodes affiliated with an institution. #### Versioning As of version `2.2`, affiliated components (in addition to affiliated top-level projects) are returned from this endpoint. #### Returns Returns a JSON object containing `data` and `links` keys. The `data` key contains an array of 10 nodes. Each resource in the array is a separate nodes object. The `links` key contains a dictionary of links that can be used for [pagination](#tag/Pagination). If the request is unsuccessful, an `errors` key containing information about the failure will be returned. Refer to the [list of error codes](#tag/Errors-and-Error-Codes) to understand why this request may have failed. #### Filtering You can optionally request that the response only include nodes that match your filters by utilizing the `filter` query parameter, e.g. https://api.osf.io/v2/institutions/cos/nodes?filter[title]=science. Nodes may be filtered by their `id`, `title`, `description`, `public`, `tags`, `category`, `date_created`, `date_modified`, `root`, `parent`, `contributors`, and `preprint`

Parameters (1)

institution_id (string, path, required)

The unique identifier of the institution you wish to retrieve.

No probe data for this endpoint yet.